/**
 * output package name
 */
package com.kingdee.eas.custom.performancenew.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class periodTypeEnum extends StringEnum
{
    public static final String YEAR_VALUE = "1";//alias=Äê¶È
    public static final String QUARTER_VALUE = "2";//alias=¼¾¶È

    public static final periodTypeEnum year = new periodTypeEnum("year", YEAR_VALUE);
    public static final periodTypeEnum quarter = new periodTypeEnum("quarter", QUARTER_VALUE);

    /**
     * construct function
     * @param String periodTypeEnum
     */
    private periodTypeEnum(String name, String periodTypeEnum)
    {
        super(name, periodTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static periodTypeEnum getEnum(String periodTypeEnum)
    {
        return (periodTypeEnum)getEnum(periodTypeEnum.class, periodTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(periodTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(periodTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(periodTypeEnum.class);
    }
}